## brickos 0.2.6.10.6

=== Makefile ===
### ==========================================================================
###  $Id: Makefile,v 1.20 2004/02/17 01:39:07 stephmo Exp $
###  FILE: Makefile - make all parts of the brickOS distribution
###  brickOS - the independent LEGO Mindstorms OS
### --------------------------------------------------------------------------
###   (This is the top-level Makefile.  All actions are performed from here)

#  distribution name (all lower-case by convention)
PACKAGE = brickos

#  version of this release, let's use the verision from our VERSION file
VERSION = $(shell cat VERSION)

#  set this once to accommodate our new dir name
export BRICKOS_ROOT=$(shell cd . && pwd)/


# ------------------------------------------------------------
#  No user customization below here...
# ------------------------------------------------------------

#
#  makefile to build the brickOS operating system and demo files
# 
SUBDIRS=util lib boot demo doc

#  if new configuration tool installed force it to be used once
all::
	@if [ configure -nt .configured.flg ]; then \
		rm -f .configured.flg; \
	fi

all install::
	@for i in $(SUBDIRS) ; do $(MAKE) $(MFLAGS) -C $$i $@ || exit 2 ; done

depend tag clean realclean uninstall::
	@for i in $(SUBDIRS) ; do $(MAKE) $(MFLAGS) NODEPS=yes -C $$i $@ || exit 2 ; done

realclean:: clean
	rm -f tags TAGS *.bak

docs-build docs-install::
	$(MAKE) $(MFLAGS) -C doc $@


#  API generation support using Doxygen
#
#  when we get a new version of doxygen, run this target once
#
upgrade-doxygen:
	doxygen -u Doxyfile-c 
	doxygen -u Doxyfile-c++
	doxygen -u Doxyfile

#
#  doc/html-c subdirectory: make C docs
#

pkghtmldir = /usr/local/share/doc/brickos/html

html-c: Doxyfile-c-report

realclean::
	rm -rf doc/html-c doc/rtf-c
	rm -f -- Doxyfile-c.log Doxyfile-c.rpt .Doxyfile-c-doneflag *.out

brickos-html-c-dist.tar.gz: html-c 
	cd doc;tar --gzip -cf $@ html-c;mv $@ ..;cd -

html-c-dist: brickos-html-c-dist.tar.gz

html-c-install: html-c
	cp -r doc/html-c ${pkghtmldir}

Doxyfile-c.log: Doxyfile-c
	doxygen $? >$@ 2>&1

Doxyfile-c.rpt: Doxyfile-c.log
	@grep Warn $? | sed -e 's/^.*brickos\///' | cut -f1 -d: | sort | \
	 uniq -c | sort -rn | tee $@

.Doxyfile-c-doneflag:  Doxyfile-c.rpt
	@for FIL in `cat $? | cut -c9-99`; do \
	  OUTFILE=`echo $$FIL | sed -e 's/[\/\.]/-/g'`.out; \
	  echo "# FILE: $$OUTFILE" >$$OUTFILE; \
	  grep "$$FIL" $? >>$$OUTFILE; \
	  grep "$$FIL" Doxyfile-c.log | grep Warn >>$$OUTFILE; \
	done
	@touch $@

Doxyfile-c-report: .Doxyfile-c-doneflag
	-ls -ltr *.out 2>/dev/null

#
#  doc/html-c++ subdirectory: make C++ docs
#
html-c++: Doxyfile-c++-report

realclean::
	rm -rf doc/html-c++ doc/rtf-c++
	rm -f -- Doxyfile-c++.log Doxyfile-c++.rpt .Doxyfile-c++-doneflag *.out

brickos-html-c++-dist.tar.gz: html-c++
	cd doc;tar --gzip -cf $@ html-c++;mv $@ ..;cd -

html-c++-dist: brickos-html-c++-dist.tar.gz

html-c++-install: html-c++
	cp -r doc/html-c++ ${pkghtmldir}

Doxyfile-c++.log: 
	doxygen  Doxyfile-c++ >$@ 2>&1

Doxyfile-c++.rpt: Doxyfile-c++.log
	@grep Warn $? | sed -e 's/^.*brickos\///' | cut -f1 -d: | sort | \
	uniq -c | sort -rn | tee $@

.Doxyfile-c++-doneflag:  Doxyfile-c++.rpt
	@for FIL in `cat Doxyfile-c++.rpt | cut -c9-99`; do \
       OUTFILE=`echo $$FIL | sed -e 's/[\/\.]/-/g'`.out; \
       echo "# FILE: $$OUTFILE" >$$OUTFILE; \
       grep "$$FIL" Doxyfile-c++.rpt >>$$OUTFILE; \
       grep "$$FIL" Doxyfile-c++.log | grep Warn >>$$OUTFILE; \
    done
	@touch $@

Doxyfile-c++-report: .Doxyfile-c++-doneflag
	-ls -ltr *.out 2>/dev/null

#
#  doc/html-kern subdirectory: make kernel developer docs
#
html-kern: Doxyfile-kern-report

realclean::
	rm -rf doc/html-kern doc/rtf-kern
	rm -f -- Doxyfile-kern.log Doxyfile-kern.rpt .Doxyfile-kern-doneflag *.out

brickos-html-kern-dist.tar.gz: html-kern
	cd doc;tar --gzip -cf $@ html-kern;mv $@ ..;cd -

html-kern-dist: brickos-html-kern-dist.tar.gz

html-kern-install: html-kern
	cp -r doc/html-kern ${pkghtmldir}

Doxyfile-kern.log: 
	doxygen  Doxyfile >$@ 2>&1

Doxyfile-kern.rpt: Doxyfile-kern.log
	@grep Warn $? | sed -e 's/^.*brickos\///' | cut -f1 -d: | sort | \
	uniq -c | sort -rn | tee $@

.Doxyfile-kern-doneflag:  Doxyfile-kern.rpt
	@for FIL in `cat Doxyfile-kern.rpt | cut -c9-99`; do \
       OUTFILE=`echo $$FIL | sed -e 's/[\/\.]/-/g'`.out; \
       echo "# FILE: $$OUTFILE" >$$OUTFILE; \
       grep "$$FIL" Doxyfile-kern.rpt >>$$OUTFILE; \
       grep "$$FIL" Doxyfile-kern.log | grep Warn >>$$OUTFILE; \
    done
	@touch $@

Doxyfile-kern-report: .Doxyfile-kern-doneflag
	-ls -ltr *.out 2>/dev/null

#
#  make all API documentation
#
api-docs-build: html-c html-c++ html-kern

docs: docs-build api-docs-build

#
#  make distribution files for all API documentation
#
api-dist: html-c-dist html-c++-dist html-kern-dist

#
#  install all API documentation
#
docs-install:: html-c-install html-c++-install html-kern-install

#  NOTE: --format=1 is not supported on Linux ([ce]tags in emacs2[01] packages)
#   please set in your own environment
tag::
	-ctags kernel/*.c include/*.h include/*/*.h
	-etags kernel/*.c include/*.h include/*/*.h


.PHONY: all depend tag clean realclean html tag c++ html html-c html-c++ html-kern html-dist 

# ------------------------------------------------------------
#  Components of this release to be packaged
# ------------------------------------------------------------
#
SOURCES = boot demo kernel lib util
HEADERS = include 

EXTRA_DIST = Doxy* doc h8300.rcx configure

DIST_COMMON =  README ChangeLog CONTRIBUTORS LICENSE VERSION Makefile* NEWS TODO README.use


#
# The following 'dist' target code is taken from a makefile 
#   generated by the auto* tools
#
SHELL = /bin/sh

DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

#  locations for this package build effort
SRC_ROOTDIR = .
DISTDIR = $(PACKAGE)-$(VERSION)

#  tools we use to make distribution image
TAR = tar
GZIP_ENV = --best

#  make our distribution tarball
dist: notinsourcetree distdir
	-chmod -R a+r $(DISTDIR)
	GZIP=$(GZIP_ENV) $(TAR) chozf $(DISTDIR).tar.gz $(DISTDIR)
	-rm -rf $(DISTDIR)
	@echo "---------------------------------------------------------"
	@echo "     MD5 sum for $(PACKAGE) v$(VERSION)"
	@md5sum $(DISTDIR).tar.gz
	@echo "---------------------------------------------------------"

#  check for target being run in CVS source tree... bail if is...
notinsourcetree:
	@if [ -d $(SRC_ROOTDIR)/CVS ]; then \
		echo ""; \
		echo "---------------------------------------------------------"; \
		echo "  make: target 'dist' not for use in source tree"; \
		echo "---------------------------------------------------------"; \
		echo ""; \
		exit 2; \
	fi

#  build a copy of the source tree which can be zipped up and then deleted
distdir: $(DISTFILES)
	-rm -rf $(DISTDIR)
	mkdir $(DISTDIR)
	-chmod 777 $(DISTDIR)
#	DISTDIR=`cd $(DISTDIR) && pwd`; 
	@for file in $(DISTFILES); do \
	  d=$(SRC_ROOTDIR); \
	  if test -d $$d/$$file; then \
	    cp -pr $$d/$$file $(DISTDIR)/$$file; \
	  else \
	    test -f $(DISTDIR)/$$file \
	    || ln $$d/$$file $(DISTDIR)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(DISTDIR)/$$file || :; \
	  fi; \
	done
#  cleanup files which should not make it into any release
	@find $(DISTDIR) -type d -depth -name 'CVS' -exec rm -rf {} \; 
	@find $(DISTDIR) -type f -name '.cvs*' -exec rm -f {} \; 
	@find $(DISTDIR) -type f -name '.dep*' -exec rm -f {} \; 

include Makefile.common		# for the ocnfiguration check

### --------------------------------------------------------------------------
###                      End of top-level brickOS Makefile
### ==========================================================================

## brickos 0.9.0

=== doc/Makefile ===
### ==========================================================================
###  $Id: Makefile,v 1.9 2004/02/17 02:27:13 stephmo Exp $
###  FILE: doc/Makefile - build HTML documentation from SGML source
###  brickOS - the independent LEGO Mindstorms OS
### --------------------------------------------------------------------------

DOCBASE = INSTALL-cygwin
DOCSRC = $(DOCBASE).sgml

DOCBASE2 = HOWTO
DOCSRC2 = $(DOCBASE2).sgml

TEXT_DOCS = AvailableDocs.txt \
            Notes_on_intterupts \
            Pros_and_Cons \
            RCXmessageAPI.txt \
            Sensors


include ../Makefile.common

#  out default target when doing make in this directory
docs-build: $(DOCBASE).html $(DOCBASE2).html

# nothing to do for these (documents not built when running top-level build)
all install uninstall depend tag::
	@# nothing to do here, but do this nothing silently

docs-install: ${pkghtmldir} chkbuild
	-@cp -f ../[CLNRV]* ${pkgdocdir} 2>/dev/null
	cp -f ${TEXT_DOCS} ${pkgdocdir} 
	cp -r images ${pkghtmldir}
	cp -f *.html ${pkghtmldir}
	mkdir -p ${pkghtmldir}/HOWTO
	cp HOWTO/*.html ${pkghtmldir}/HOWTO
	cp HOWTO.html ${pkghtmldir}/HOWTO
	@# oops copied extra files, remove them
	@rm -f $(pkghtmldir)/HOWTO/t1.html
	@rm -f $(pkghtmldir)/HOWTO.html

chkbuild:
	@if [ ! -f $(DOCBASE).html -o ! -f $(DOCBASE2).html ] ;then \
		echo ""; \
		echo "---------------------------------------------------------"; \
		echo "  Documents are not built. Please run 'make doc' then "; \
		echo "    rerun 'make doc-install' as root"; \
		echo "---------------------------------------------------------"; \
		echo ""; \
		exit 2; \
	fi

${pkghtmldir}:
	mkdir -p $@

#  generate html and correct image path in top page
$(DOCBASE).html: $(DOCSRC)
	sgmltools -b html $(DOCBASE)
	sed -e 's/\/docbook-dsssl/images/' $(DOCBASE)/top.html >$@

realclean::
	rm -rf $(DOCBASE)
	rm -f $(DOCBASE).html

#  generate html and correct image path in top page
$(DOCBASE2).html: $(DOCSRC2)
	sgmltools -b html $(DOCBASE2)
	sed -e 's/\/docbook-dsssl/images/' $(DOCBASE2)/t1.html >$@

realclean::
	rm -f $(DOCBASE2).html
	rm -rf $(DOCBASE2)

clean:
	@# nothing to do here, but do this nothing silently

realclean:: clean

### --------------------------------------------------------------------------
###                            End of FILE: doc/Makefile
### ==========================================================================

## brickos 0.9.0.dfsg

=== Makefile ===
--- 
+++ 
@@ -198,7 +198,7 @@
 
 EXTRA_DIST = Doxy* doc h8300.rcx configure
 
-DIST_COMMON =  README ChangeLog CONTRIBUTORS LICENSE VERSION Makefile* NEWS TODO README.use
+DIST_COMMON =  README ChangeLog CONTRIBUTORS LICENSE VERSION Makefile* NEWS TODO README.use README.usb
 
 
 #

=== boot/Makefile ===
### ==========================================================================
###  $Id: Makefile,v 1.20 2004/02/17 01:39:07 stephmo Exp $
###  FILE: boot/Makefile - make the brickOS kernel
###  brickOS - the independent LEGO Mindstorms OS
### --------------------------------------------------------------------------

# brickOS kernel used (w/o extension)
KERNEL=brickOS

# kernel source files
KSOURCES=kmain.c mm.c systime.c tm.c semaphore.c conio.c lcd.c \
	 lnp-logical.c lnp.c remote.c program.c vis.c battery.c\
         timeout.c dkey.c dmotor.c dsensor.c dsound.c swmux.c\
         atomic.c critsec.c setjmp.c

KERNEL_TARGETS = $(KERNEL).srec \
                 $(KERNEL).lds

#
# NOTE: uncomment out the first line if you need a kernel disassembly file.
# This will not work on Windows unless you have perl installed.
#
#all: $(KERNEL).srec $(KERNEL).dis2 $(KERNEL).lds
all:: $(KERNEL_TARGETS)

include ../Makefile.common

.depend: $(BRICKOS_ROOT)/kernel/*.c
	$(MAKEDEPEND) $(BRICKOS_ROOT)/kernel/*.c > .depend

depend:: .depend

install: install-stamp
	@# nothing to do here but do it silently

install-stamp: ${pkgincludedir} ${pkgexampledir} ${pkglibdir} \
               ../include/* ../demo/Makefile ../demo/*.c ../demo/c++/*.C \
			   config.h $(KERNEL_TARGETS) ../Makefile.user ../Makefile.common
	cp -r ../include/* ${pkgincludedir}
	@find ${pkgincludedir} -type d -name 'CVS' -depth -exec rm -rf {} \;
	cp -r ../demo ${pkgexampledir}
	@cat ../demo/Makefile | sed -e 's/\.\.\/Makefile/$$\(LIBDIR\)\/Makefile/g' | \
	                       sed -e 's/\.\.\/include/$$\(INCDIR\)/g' | \
	                       sed -e 's:KERNEL\=\.\..boot.brickOS:KERNEL = $$\(LIBDIR\)/brickOS:' | \
	                       sed -e 's:\# \#LIBDIR\#.*:LIBDIR \= ${instlibdir}:' | \
						   sed -e 's/.BRICKOS_ROOT..util/(LIBDIR)/g' >../demo/Makefile.dist
	@cat ../demo/c++/Makefile | sed -e 's/\.\..\.\..Makefile/$$\(LIBDIR\)\/Makefile/g' | \
	                            sed -e 's/..BRICKOS_ROOT..include/$$\(INCDIR\)/g' | \
	                            sed -e 's:KERNEL \= .*:KERNEL = $$\(LIBDIR\)/brickOS:' | \
	                            sed -e 's:\# \#LIBDIR\#.*:LIBDIR \= ${instlibdir}:' | \
						        sed -e 's/..ROOTDIR.util/(LIBDIR)/g' >../demo/c++/Makefile.dist
	cp -f ../demo/Makefile.dist ${pkgexampledir}/demo/Makefile
	cp -f ../demo/Makefile.dist ${pkgexampledir}/Makefile
	cp -f ../demo/c++/Makefile.dist ${pkgexampledir}/demo/c++/Makefile
	@find ${pkgexampledir} -type f -name '*.dist' -exec rm -f {} \;
	@find ${pkgexampledir} -type f -name '*.lx' -exec rm -f {} \;
	@find ${pkgexampledir} -type d -name 'CVS' -depth -exec rm -rf {} \;
	@find ${pkgexampledir} -type f -name '*.o' -depth -exec rm -f {} \;
	@find ${pkgexampledir} -type f -name '*.ref' -depth -exec rm -f {} \;
	cp -f $(KERNEL_TARGETS) ${pkglibdir}
	@echo "/* WARNING: INSTALLED config.h: do not change this file without re-building brickOS kernel! */" >config.h.dist
	@cat config.h >>config.h.dist
	cp -f config.h.dist ${pkgincludedir}/config.h
	@cat ../Makefile.common | sed -e 's/.BRICKOS_ROOT..lib/(LIBDIR)/g' | \
	                          sed -e 's/^all.depend:.*//' | \
	                          sed -e 's/.BRICKOS_ROOT..include/(INCDIR)/g' | \
	                          sed -e 's/^BRICKOS_ROOT=.*/BRICKOS_ROOT="not used when installed"/g' | \
				  sed -e 's/.BRICKOS_ROOT..util/(LIBDIR)/g' >../Makefile.common.dist
	@cat ../Makefile.user | sed -e 's/.BRICKOS_ROOT..lib/(LIBDIR)/g' | \
                                sed -e 's/.BRICKOS_ROOT..include/(INCDIR)/g' | \
                                sed -e 's/.BRICKOS_ROOT..boot/(INCDIR)/g' | \
		 	        sed -e 's/.BRICKOS_ROOT..util/(LIBDIR)/g' >../Makefile.user.dist
	cp -f ../Makefile.user.dist ${pkglibdir}/Makefile.user
	@echo "" >>../Makefile.common.dist
	@echo "INCDIR = ${instincdir}" >>../Makefile.common.dist
	@echo "BINDIR = ${instbindir}" >>../Makefile.common.dist
	@echo "LIBDIR = ${instlibdir}" >>../Makefile.common.dist
	@echo "" >>../Makefile.common.dist
	@echo "### --------------------------------------------------------------------------" >>../Makefile.common.dist
	@echo "###       'Installed copy' end of FILE: Makefile.common" >>../Makefile.common.dist
	@echo "### ==========================================================================" >>../Makefile.common.dist
	cp -f ../Makefile.common.dist ${pkglibdir}/Makefile.common
	@find ${pkgexampledir} -type f -exec chmod 444 {} \;
	@touch $@

clean::
	rm -f ../Makefile.user.dist ../Makefile.common.dist ../demo/Makefile.dist ../demo/c++/Makefile.dist config.h.dist


#!/bin/bash -p


${pkgincludedir} ${pkgexampledir} ${pkglibdir}:
	mkdir -p $@

uninstall:
	rm -rf ${pkglibdir} ${pkgincludedir} ${pkgdocdir} install-stamp

tag:
	@# nothing to do here but do it silently

clean::
	rm -f *.srec *.o *.lds *.dis *.coff *.map *.dis2

realclean:
	rm -rf .depend* *.o *.dis *~ *.bak *.tgz *.s tags *.dcoff *.dmap *.dsrec *.dis2
	rm -f  *.srec *.map *.coff *.lds install-stamp

.PHONY: all tag clean realclean depend

##
## no user servicable parts below
##

# kernel object files
KOBJECTS=$(KSOURCES:.c=.o)

# Kernel libraries. Use second version to link all
# libraries statically to kernel. Change Makefile.user, too.
LIBS=-lc -lmint
#LIBS=--whole-archive -lc -lmint -lfloat

# linker command files for kernel
LDFLAGS=-T $(BRICKOS_ROOT)/h8300.rcx -relax -L$(BRICKOS_ROOT)/lib

#
# 2002.05.12 - Ted Hess <thess@users.sourceforge.net>
#
#	- Allow setting LNP Host Address on command line
ifdef LNP_HOSTADDR
CDEFINES =-DCONF_LNP_HOSTADDR=$(LNP_HOSTADDR)
endif

############ kernel stuff

# how to build coff kernel (for symbols, disassembly etc)
$(KERNEL).coff: $(KOBJECTS)
	$(LD) $(LDFLAGS) $(KOBJECTS) $(LIBS) -o $@
	chmod a-x $@

# how to build srec kernel (for download)
%.srec: %.coff %.map
	$(OBJCOPY) -I coff-h8300 -O srec $(NEED_ZERO_PADDING) $*.coff $*.srec
	chmod a-x $*.srec

# how to make map files
%.map: %.coff
	$(NM) $*.coff | sort -u > $*.map

# how to build linker script for dynamic executables
%.lds: %.map
	$(GENLDS) $* < $*.map > $*.lds

# how to disassemble coff kernel
%.dis: %.coff
	$(OBJDUMP) $(ODFLAGS) $*.coff > $*.dis

# how to merge map files with symbols
%.dis2: %.map %.dis
	$(MERGEMAP) $*.map $*.dis > $*.dis2

# how to disassemble srec kernel (don't do this.)
%.dis: %.srec
	$(OBJDUMP) $(ODFLAGS) $*.srec > $*.dis


############ original firmware stuff

# how to disassemble original firmware file
%.dis: %.lgo
	$(OBJDUMP) $(ODFLAGS) $*.lgo > $*.dis

# how to merge labels etc into disassembly
%.s: %.fix $(FIRMVERS).dis
	./fixfirm.pl $*.fix $(FIRMVERS).dis > $*.s

# how to reassemble new firmware file
%.srec: %.s
	$(AS) $*.s -o $*.o
	$(LD) -Ttext=0x8000 $*.o -o $*.out
	$(OBJCOPY) -O srec $*.out $*.srec
	rm -f $*.o $*.out
	chmod -x $*.srec

#  dependencies 
ifndef NODEPS
include .depend
endif

### --------------------------------------------------------------------------
###                         End of FILE: boot/Makefile
### ==========================================================================

=== demo/Makefile ===
### ==========================================================================
###  $Id: Makefile,v 1.7 2002/10/17 05:05:40 stephmo Exp $
###  FILE: demo/Makefile - make the C Language Demo Programs
###  brickOS - the independent LEGO Mindstorms OS
### --------------------------------------------------------------------------

# name for the brickOS kernel
# #LIBDIR#         ###   DO NOT REMOVE THIS LINE  ###
KERNEL=../boot/brickOS

PROGRAMS=helloworld.lx rover.lx linetrack.lx robots.lx c++.lx sound.lx trailerbot.lx

# extra dynamic sources
DOBJECTS=

all:: $(PROGRAMS) 

include ../Makefile.common
include ../Makefile.user

#  for these targets, pass them on to C++ dir, too
all clean realclean depend::
	$(MAKE) -C c++ $@

.depend: *.c
	$(MAKEDEPEND) *.c > .depend

depend:: .depend

install uninstall:
	@# nothing to do here but do it silently

#  NOTE: --format=1 is not supported on Linux ([ce]tags in emacs2[01] packages)
#   please set in your own environment
tag:
	-ctags *.c ../include/*.h ../include/*/*.h 
	-etags *.c ../include/*.h ../include/*/*.h 

clean::
	rm -f *.o *.dis *.dis2 *~ *.bak *.tgz *.s *.ds1 *.ds2 *.dmap *.dcoff 
	rm -f *.srec *.map *.coff

realclean:: clean
	rm -f *.lx .depend tags TAGS

.PHONY: all depend tag clean realclean

# depencencies
#
ifndef NODEPS
include .depend
endif

### --------------------------------------------------------------------------
###                          End of FILE: demo/Makefile
### ==========================================================================

=== doc/Makefile ===
--- 
+++ 
@@ -6,9 +6,6 @@
 
 DOCBASE = INSTALL-cygwin
 DOCSRC = $(DOCBASE).sgml
-
-DOCBASE2 = HOWTO
-DOCSRC2 = $(DOCBASE2).sgml
 
 TEXT_DOCS = AvailableDocs.txt \
             Notes_on_intterupts \
@@ -20,7 +17,7 @@
 include ../Makefile.common
 
 #  out default target when doing make in this directory
-docs-build: $(DOCBASE).html $(DOCBASE2).html
+docs-build: $(DOCBASE).html
 
 # nothing to do for these (documents not built when running top-level build)
 all install uninstall depend tag::
@@ -39,7 +36,7 @@
 	@rm -f $(pkghtmldir)/HOWTO.html
 
 chkbuild:
-	@if [ ! -f $(DOCBASE).html -o ! -f $(DOCBASE2).html ] ;then \
+	@if [ ! -f $(DOCBASE).html ] ;then \
 		echo ""; \
 		echo "---------------------------------------------------------"; \
 		echo "  Documents are not built. Please run 'make doc' then "; \
@@ -61,15 +58,6 @@
 	rm -rf $(DOCBASE)
 	rm -f $(DOCBASE).html
 
-#  generate html and correct image path in top page
-$(DOCBASE2).html: $(DOCSRC2)
-	sgmltools -b html $(DOCBASE2)
-	sed -e 's/\/docbook-dsssl/images/' $(DOCBASE2)/t1.html >$@
-
-realclean::
-	rm -f $(DOCBASE2).html
-	rm -rf $(DOCBASE2)
-
 clean:
 	@# nothing to do here, but do this nothing silently

=== lib/Makefile ===
### ==========================================================================
###  $Id: Makefile,v 1.6 2002/10/17 04:30:45 stephmo Exp $
###  FILE: lib/Makefile - make the supporting libraries
###  brickOS - the independent LEGO Mindstorms OS
### --------------------------------------------------------------------------

# list of dirctories in this subtree
SUBDIRS=c \
        mint \
		float \
		c++

# targets which get passed to these directories
all install clean realclean depend uninstall::
	@for i in $(SUBDIRS); do $(MAKE) $(MFLAGS) -C $$i $@ || exit 2; done

# target(s) which get acted upon here (or not)
tag::
	@# nothing to do here but do it silently

### --------------------------------------------------------------------------
###                       End of FILE: lib/Makefile
### ==========================================================================

=== util/Makefile ===
### ==========================================================================
###  $Id: Makefile,v 1.8 2003/03/02 18:00:41 paolom Exp $
###  FILE: util/Makefile - make the hosted utilities
###  brickOS - the independent LEGO Mindstorms OS
### --------------------------------------------------------------------------

# specify environment before including the common stuff
BUILDING_HOST_UTILS = true
include ../Makefile.common

# Define here the executable files to be build
EXECUTABLES    = fontdesign
UTILITY_SCRIPT = merge-map

# Needed for DOS/WIN32 platforms
ifdef EXT
	TARGETS = $(addsuffix $(EXT),$(EXECUTABLES))
else
	TARGETS = $(EXECUTABLES)
endif

SUBDIRS = dll-src firmdl

all:: $(TARGETS)
	@# nothing to do here but do it silently

all clean depend install realclean strip uninstall::
	@for i in $(SUBDIRS) ; do $(MAKE) $(MFLAGS) NODEPS=yes -C $$i $@ || exit 2 ; done

# remove debug symbols
strip::
	strip $(TARGETS)

# build our one local program
fontdesign$(EXT):	fontdesign.c
	$(CC) -o $@ $< $(CFLAGS)

install:: install-stamp

install-stamp: $(TARGETS) $(UTILITY_SCRIPT)
	@if [ ! -d ${pkglibdir} ]; then \
		mkdir -p ${pkglibdir}; \
	fi
	cp -f $(TARGETS) ${pkglibdir}
	cp -f $(UTILITY_SCRIPT) ${pkglibdir}
	@touch $@

tag::
	@# nothing to do here but do it silently

realclean:: clean
	rm -f $(TARGETS)
	@rm -f install-stamp


### --------------------------------------------------------------------------
###                         End of FILE: util/Makefile
### ==========================================================================

=== demo/c++/Makefile ===
### ==========================================================================
###  $Id: Makefile,v 1.9 2002/10/23 17:42:44 stephmo Exp $
###  FILE: demo/c++/Makefile - make the C++ Language Demo Programs
###  brickOS - the independent LEGO Mindstorms OS
### --------------------------------------------------------------------------

# #LIBDIR#         ###   DO NOT REMOVE THIS LINE  ###
KERNEL = $(BRICKOS_ROOT)/boot/brickOS

PROGRAMS = \
	rover.lx \
	batt.lx sensor.lx lightSensor.lx \
	rotationSensor.lx \
	rotation.velocity.Sensor.lx \
	touchSensor.lx \
	touch.pressed.Sensor.lx \
	motor.lx sound.lx activeSensor.lx temperatureSensor.lx \
	raceTrack.lx lampTest.lx

# extra dynamic sources
DOBJECTS= 

include ../../Makefile.common
include ../../Makefile.user


all:: $(PROGRAMS)
	@# nothing to do here but do it silently

.depend: *.[cC]
	$(MAKEDEPEND) *.[cC] > .depend

depend:: .depend
	@# nothing to do here but do it silently

#  NOTE: --format=1 is not supported on Linux ([ce]tags from emacs2[01] packages)
#   please set in your own environment
tag:
	-ctags *.[cC] $(BRICKOS_ROOT)/include/*.h $(BRICKOS_ROOT)/include/*/*.h
	-etags *.[cC] $(BRICKOS_ROOT)/include/*.h $(BRICKOS_ROOT)/include/*/*.h 

clean:
	rm -f *.o *.dis *.dis2 *~ *.bak *.tgz *.s *.ds1 *.ds2 *.dmap *.dcoff
	rm -f *.srec *.map *.coff

realclean: clean
	rm -f *.lx .depend tags TAGS

.PHONY: all depend tag clean realclean

# depencencies
#
ifndef NODEPS
-include .depend
endif


### --------------------------------------------------------------------------
###                     End of FILE: demo/c++/Makefile
### ==========================================================================

=== lib/c++/Makefile ===
### ==========================================================================
###  $Id: Makefile,v 1.9 2004/01/25 21:59:42 hzeller Exp $
###  FILE: lib/c++/Makefile - make the c++ library
###  brickOS - the independent LEGO Mindstorms OS
### --------------------------------------------------------------------------

# our target
LIBTARGET = c++

# sources 
CSOURCES = stub.c
CXXSOURCES=mem.cpp

##
## no user servicable parts below
##

LIBRARY   = lib$(LIBTARGET).a

OBJECTS = $(CSOURCES:.c=.o) $(CXXSOURCES:.cpp=.o)


all:: promote-stamp
	@# nothing to do here but do it silently

promote-stamp: $(LIBRARY)
	cp -f $? ../
	@touch $@

include ../../Makefile.common

$(LIBRARY): $(OBJECTS)
	rm -f $@
	$(AR) -sq $@ $(OBJECTS)

.depend: $(CSOURCES) $(CXXSOURCES)
	$(MAKEDEPEND) $(CSOURCES) $(CXXSOURCES) > .depend

depend:: .depend
	@# nothing to do here but do it silently

clean:
	rm -f *.o *.map *.coff *.srec *.dis* *~ *.bak *.tgz *.s

realclean: clean
	rm -f $(LIBRARY) ../$(LIBRARY) .depend
	@rm -f install-stamp promote-stamp tags TAGS

install: install-stamp
	@# nothing to do here but do it silently

install-stamp: $(LIBRARY)
	@if [ ! -d ${pkglibdir} ]; then \
		mkdir -p ${pkglibdir}; \
	fi
	cp -f $? ${pkglibdir}/$?
	@touch $@

uninstall:
	@rm -f install-stamp

.PHONY: all promote-stamp depend clean realclean install install-stamp uninstall

### --------------------------------------------------------------------------
###                        End of FILE: lib/c++/Makefile
### ==========================================================================

=== lib/c/Makefile ===
### ==========================================================================
###  $Id: Makefile,v 1.8 2003/01/11 12:30:08 emanlove Exp $
###  FILE: lib/c/Makefile - make the c suport library
###  brickOS - the independent LEGO Mindstorms OS
### --------------------------------------------------------------------------

# our target
LIBTARGET = c

# sources 
#
# Cygwin B-20 can't compile printf.c   FIXME  This is busted in new evironment
ifneq (,$(findstring $(OSTYPE),cygwin32))
	SOURCES = memcpy.c memset.c strcmp.c strcpy.c strlen.c random.c
else
	SOURCES = memcpy.c memset.c strcmp.c strcpy.c strlen.c random.c printf.c
endif


## 
## no user servicable parts below
##

LIBRARY   = lib$(LIBTARGET).a

OBJECTS = $(SOURCES:.c=.o)


all:: promote-stamp
	@# nothing to do here but do it silently

promote-stamp: $(LIBRARY)
	cp -f $? ../
	@touch $@

include ../../Makefile.common

$(LIBRARY): $(OBJECTS)
	rm -f $@
	$(AR) -sq $@ $(OBJECTS)

.depend: $(SOURCES)
	$(MAKEDEPEND) $(SOURCES) > .depend

depend:: .depend
	@# nothing to do here but do it silently

clean:
	rm -f *.o *.map *.coff *.srec *.dis* *~ *.bak *.tgz *.s 

realclean: clean
	rm -f $(LIBRARY) ../$(LIBRARY) .depend
	@rm -f install-stamp promote-stamp tags TAGS

install: install-stamp
	@# nothing to do here but do it silently

install-stamp: $(LIBRARY)
	@if [ ! -d ${pkglibdir} ]; then \
		mkdir -p ${pkglibdir}; \
	fi
	cp -f $? ${pkglibdir}/$?
	@touch $@

uninstall:
	@rm -f install-stamp

.PHONY: all promote-stamp depend clean realclean install install-stamp uninstall

### --------------------------------------------------------------------------
###                        End of FILE: lib/c/Makefile
### ==========================================================================

=== lib/float/Makefile ===
### ==========================================================================
###  $Id: Makefile,v 1.9 2003/01/11 12:30:53 emanlove Exp $
###  FILE: lib/float/Makefile - make the floating point math library
###  brickOS - the independent LEGO Mindstorms OS
### --------------------------------------------------------------------------

# our target
LIBTARGET = float

# sources 
SOURCES = expandsf.s joinsf.s addsf3.s negsf2.s mulsf3.s divsf3.s \
          floatsisf.s cmpsf2.s fixsfsi.s startsf.s normalsf.s


##
## no user servicable parts below
##

LIBRARY   = lib$(LIBTARGET).a

OBJECTS = $(SOURCES:.s=.o)


all:: promote-stamp
	@# nothing to do here but do it silently

promote-stamp: $(LIBRARY)
	cp -f $? ../
	@touch $@

include ../../Makefile.common

$(LIBRARY): $(OBJECTS)
	rm -f $@
	$(AR) -sq $@ $(OBJECTS)

.depend: $(SOURCES)
	$(MAKEDEPEND) $(SOURCES) > .depend

depend:: .depend
	@# nothing to do here but do it silently

clean:
	rm -f *.o *.map *.coff *.srec *.dis* *~ *.bak *.tgz 

realclean: clean
	rm -f $(LIBRARY) ../$(LIBRARY) .depend
	@rm -f install-stamp promote-stamp tags TAGS

install: install-stamp
	@# nothing to do here but do it silently

install-stamp: $(LIBRARY)
	@if [ ! -d ${pkglibdir} ]; then \
		mkdir -p ${pkglibdir}; \
	fi
	cp -f $? ${pkglibdir}/$?
	@touch $@

uninstall:
	@rm -f install-stamp

.PHONY: all promote-stamp depend clean realclean install install-stamp uninstall

### --------------------------------------------------------------------------
###                    End of FILE: lib/float/Makefile
### ==========================================================================

=== lib/mint/Makefile ===
### ==========================================================================
###  $Id: Makefile,v 1.8 2003/01/11 12:31:15 emanlove Exp $
###  FILE: lib/mint/Makefile - make the integer math library
###  brickOS - the independent LEGO Mindstorms OS
### --------------------------------------------------------------------------

# our target
LIBTARGET = mint

# sources 
SOURCES= cmpsi2.c   divhi3.c   modhi3.c   mulhi3.c   udivhi3.c  umodhi3.c \
	 divsi3.c   modsi3.c   mulsi3.c   ucmpsi2.c   udivsi3.c  umodsi3.c


##
## no user servicable parts below
##

LIBRARY   = lib$(LIBTARGET).a

OBJECTS=$(SOURCES:.c=.o)


all:: promote-stamp
	@# nothing to do here but do it silently

promote-stamp: $(LIBRARY)
	cp -f $? ../
	@touch $@

include ../../Makefile.common

$(LIBRARY): $(OBJECTS)
	rm -f $@
	$(AR) -sq $@ $(OBJECTS)

.depend: $(SOURCES)
	$(MAKEDEPEND) $(SOURCES) > .depend

depend:: .depend
	@# nothing to do here but do it silently

clean:
	rm -f *.o *.map *.coff *.srec *.dis* *~ *.bak *.tgz *.s 

realclean: clean
	rm -f $(LIBRARY) ../$(LIBRARY) .depend
	@rm -f install-stamp promote-stamp tags TAGS

install: install-stamp
	@# nothing to do here but do it silently

install-stamp: $(LIBRARY)
	@if [ ! -d ${pkglibdir} ]; then \
		mkdir -p ${pkglibdir}; \
	fi
	cp -f $? ${pkglibdir}/$?
	@touch $@

uninstall:
	@rm -f install-stamp

.PHONY: all promote-stamp depend clean realclean install install-stamp uninstall

### --------------------------------------------------------------------------
###                    End of FILE: lib/mint/Makefile
### ==========================================================================

=== util/dll-src/Makefile ===
### ==========================================================================
###  $Id: Makefile,v 1.9 2003/03/02 18:00:41 paolom Exp $
###  FILE: util/dll-src/Makefile - make program download & link support utilities
###  brickOS - the independent LEGO Mindstorms OS
### --------------------------------------------------------------------------

# specify environment before including the common stuff
BUILDING_HOST_UTILS = true
include ../../Makefile.common

INSTALL_DIR = ..
EXE1 = dll$(EXT)
MAN1 = dll.1
TARGET1 = $(INSTALL_DIR)/$(EXE1)
SRCS1 = loader.c rcxtty.c keepalive.c $(BRICKOS_ROOT)/kernel/lnp.c lx.c
OBJS1 = $(notdir $(SRCS1:.c=.o))

EXE2 = makelx$(EXT)
TARGET2 = $(INSTALL_DIR)/$(EXE2)
SRCS2 = convert.c srec.c srecload.c lx.c
OBJS2 = $(SRCS2:.c=.o)

EXE3 = genlds$(EXT)
TARGET3 = $(INSTALL_DIR)/$(EXE3)
EXE4 = fixdeps$(EXT)
TARGET4 = $(INSTALL_DIR)/$(EXE4)

SINGLE_SRC_TARGETS = $(TARGET3) $(TARGET4)
ALL_TARGETS        = $(TARGET1) $(TARGET2) $(SINGLE_SRC_TARGETS)
LIBS=

#
# Martin Cornelius solution to include problems (avoid -I/usr/include)
#
CFLAGS+=-I. -I$(BRICKOS_ROOT)/include/lnp

all::  $(ALL_TARGETS)
	@# nothing to do here but do it silently

clean:
	rm -f *.o *~ *.bak 

realclean: clean
	rm -f $(ALL_TARGETS) 
	@rm -f .depend install-stamp

.depend:
	$(CC) -M $(CFLAGS) -c $(SRCS1) $(SRCS2) >.depend

depend:: .depend
	@# nothing to do here but do it silently

install: install-stamp
	@# nothing to do here but do it silently

install-stamp: $(ALL_TARGETS)
	cp -f $(TARGET1) $(bindir)/$(EXE1)
	@if [ ! -d ${pkglibdir} ]; then \
		mkdir -p ${pkglibdir}; \
	fi
	cp -f $(TARGET2) $(pkglibdir)/$(EXE2)
	cp -f $(TARGET3) $(pkglibdir)/$(EXE3)
	cp -f $(TARGET4) $(pkglibdir)/$(EXE4)
	@if [ ! -d ${mandir}/man1 ]; then \
		mkdir -p ${mandir}/man1; \
	fi
	cp -f $(MAN1) $(mandir)/man1/$(MAN1)
	@touch $@

uninstall:
	rm -f install-stamp $(mandir)/man1/$(MAN1) $(bindir)/$(EXE1)

$(TARGET1):  $(OBJS1)
	$(CC) -o $@ $(OBJS1) $(LIBS) $(CFLAGS)

$(TARGET2):  $(OBJS2)
	$(CC) -o $@ $(OBJS2) $(LIBS) $(CFLAGS)

%.o: %.c
	$(CC) -o $@ -c $< $(CFLAGS)

%.o: $(BRICKOS_ROOT)/kernel/%.c
	$(CC) -o $@ -c $< $(CFLAGS)

../%$(EXT): %.c
	$(CC) -o $@ $< $(CFLAGS)

# remove debug symbols
strip:
	strip $(ALL_TARGETS)

.PHONY: depend all clean realclean install


### --------------------------------------------------------------------------
###                   End of FILE: util/dll-src/Makefile
### ==========================================================================

=== debian/changelog ===
brickos (0.9.0.dfsg-15) unstable; urgency=medium

  * Clean-up patches filenames.
  * Add 015_no_lds_timestamp.patch, disabling timestamp in generated linker
    scripts. This is needed for reproducible build.
  * Split gcc5_hardening in three patches.
    Add 004_extern_inline.patch, enforcing extern inline behavior.
    Add 005_flags.patch, passing build flags for hardening.
    Add 006_fix_fprintf.patch, fixing usage of fprintf without format string.
    Drop dpkg-buildflags usage in upstream Makefile.
  * Pass build flags to build system.
  * Add 016_libexec.patch, installing binaries in libexec instead of lib.
  * Convert tabs to spaces in debian/copyright.
  * Update Standards-Version to 4.7.2, no change needed.
  * Enable Salsa CI using default template.
  * Make blhc ignore calls to the cross compiler to build target code.
  * Add 017_mkdir_bin.patch, creating binary directory on install.
  * Rework installation using recent debhelper idioms.
  * Reword packages description.

 -- Nicolas Schodet <nico@ni.fr.eu.org>  Tue, 08 Apr 2025 08:22:54 +0200

brickos (0.9.0.dfsg-14) unstable; urgency=medium

  * Team upload.

  [ Nicolas Schodet ]
  * Move back README and NEWS to main package. (Closes: #1100679)
  * Add missing perl dependency.
  * Lintian does not understand COFF files, add an override.
  * Fix man pages syntax.
  * Convert source file to UTF-8.
  * Add myself as an uploader.
  * Update to https at various places.
  * Do no strip COFF files.
  * Add 0012-no-custom-doxygen-style.patch, disabling doxygen customization.
  * Remove patch reproducible_remove_datetime, patched file is no longer used.
  * Add automatic package test.
  * Add 0013-no-cygwin-doc.patch, disabling cygwin documentation installation.
  * Drop docs.patch, corresponding documentation is no longer built.
  * Add 0014-fix-c++-makefile.patch, fixing C++ demo Makefile.
  * Fill patch headers to comply with DEP-3, combine hardening patches.
  * Refresh patches using git-buildpackage pq.
  * Remove trailing white space.
  * Refresh debian/watch.
  * Convert d/copyright to DEP-5 format, update copyright dates.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 26 Mar 2025 08:42:35 +0100

brickos (0.9.0.dfsg-13) unstable; urgency=medium

  * Team upload.
  * Maintain package in Debian LEGO Team
    Closes: #1091823
  * ACK NMU (Closes: #841891)
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Remove old boilerplate from debian/rules (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/rules (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.
  * watch file standard 4 (routine-update)
  * Simplify d/rules and fix installation of some files
  * Propagate hardening options

 -- Andreas Tille <tille@debian.org>  Tue, 21 Jan 2025 11:27:23 +0100

brickos (0.9.0.dfsg-12.2) unstable; urgency=medium

  * QA upload.
  * Switch to using docbook-utils.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 16 Dec 2019 23:18:56 +0000

brickos (0.9.0.dfsg-12.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fixed arch independent build problem (Closes: #806000).
  * Updated Standards-Version from 3.9.6 to 3.9.8.

 -- Petter Reinholdtsen <pere@debian.org>  Mon, 24 Oct 2016 07:45:48 +0000

brickos (0.9.0.dfsg-12) unstable; urgency=low

  * Actually apply the patch for 787984. Sorry and thanks once more Maria
    Valentina Marin! (closes: #787984)

 -- Michael Tautschnig <mt@debian.org>  Mon, 15 Jun 2015 09:33:32 +0100

brickos (0.9.0.dfsg-11) unstable; urgency=low

  * Make brickos-doc build reproducible. Thanks Maria Valentina Marin for the
    patch. (closes: #787984)

 -- Michael Tautschnig <mt@debian.org>  Wed, 10 Jun 2015 08:51:50 +0100

brickos (0.9.0.dfsg-10) unstable; urgency=low

  * Support arch-only build
  * Fix hurd-i386 build

 -- Michael Tautschnig <mt@debian.org>  Sat, 14 Feb 2015 18:21:54 +0000

brickos (0.9.0.dfsg-9) unstable; urgency=low

  * Add -std=gnu89 to GCC's command line to enforce extern inline behaviour
    with GCC 5 (closes: #777807)
  * Also enable hardening build flags
  * Conforms with policy version 3.9.6
  * Integrated improved watch file. Thanks Bart Martens for putting it
    together.
  * Use system jquery in brickos-doc

 -- Michael Tautschnig <mt@debian.org>  Sat, 14 Feb 2015 12:01:50 +0000

brickos (0.9.0.dfsg-8) unstable; urgency=low

  * Fix documentation build

 -- Michael Tautschnig <mt@debian.org>  Sun, 29 Jun 2014 17:12:27 +0100

brickos (0.9.0.dfsg-7) unstable; urgency=low

  * Cleanup of packaging: policy version 3.9.5, source format 3.0 (quilt)

 -- Michael Tautschnig <mt@debian.org>  Sun, 29 Jun 2014 11:13:43 +0100

brickos (0.9.0.dfsg-6) unstable; urgency=low

  * Using uscan version 3 watch file and syntax (closes: #462466)
  * Removed extranous whitespace in doc-base files

 -- Michael Tautschnig <mt@debian.org>  Fri, 25 Jan 2008 08:54:20 +0100

brickos (0.9.0.dfsg-5) unstable; urgency=low

  * New maintainer address.
  * Conforms with policy version 3.7.3.0
  * Uses Homepage: field in control file
  * Fixed debian/rules to support parallel builds
  * Added a watch file
  * Changed dependency on gcc-h8300-hms and binutils-h8300-hms to recommends
    instead (closes: #399748)

 -- Michael Tautschnig <mt@debian.org>  Thu, 06 Dec 2007 21:40:44 +0100

brickos (0.9.0.dfsg-4) unstable; urgency=medium

  * Added 002_kfreebsd to fix FTBFS on GNU/kFreeBSD, thanks to Cyril Brulebois
    (closes: #413871)

 -- Michael Tautschnig <tautschn@model.in.tum.de>  Thu, 08 Mar 2007 00:17:03 +0100

brickos (0.9.0.dfsg-3) unstable; urgency=high

  * build using gcc version 3.4.6 (closes: #400914)
  * dropped now useless ram size patch

 -- Michael Tautschnig <tautschn@model.in.tum.de>  Fri, 12 Jan 2007 00:40:31 +0100



=== debian/control ===
Source: brickos
Maintainer: Debian LEGO Team <debian-lego-team@lists.alioth.debian.org>
Uploaders:
 Michael Tautschnig <mt@debian.org>,
 Nicolas Schodet <nico@ni.fr.eu.org>,
Section: devel
Priority: optional
Build-Depends: debhelper-compat (= 13),
               binutils-h8300-hms,
               gcc-h8300-hms,
               doxygen
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/debian-lego-team/brickos
Vcs-Git: https://salsa.debian.org/debian-lego-team/brickos.git
Homepage: https://brickos.sourceforge.net
Rules-Requires-Root: no

Package: brickos
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${perl:Depends}
Recommends: binutils-h8300-hms,
            gcc-h8300-hms
Suggests: brickos-doc
Breaks: brickos-doc (= 0.9.0.dfsg-13)
Conflicts: legos
Replaces: legos, brickos-doc (= 0.9.0.dfsg-13)
Description: alternative OS for LEGO(r) Mindstorms RCX supporting C/C++
 A multitasking operating system with development environment for use
 as an alternative to the standard LEGO(r) Mindstorms RCX firmware.
 .
 For posts to/from other users: https://lugnet.com/robotics/rcx/legos/
 .
 (LEGO(r) is a trademark of the LEGO Group of companies.)

Package: brickos-doc
Architecture: all
Section: doc
Depends: libjs-jquery,
         ${misc:Depends}
Suggests: brickos
Description: documentation for brickOS an Alternative OS for the RCX
 API Documentation for brickOS an alternative Operating System for the LEGO(r)
 Mindstorms RCX.
 .
 (LEGO(r) is a trademark of the LEGO Group of companies.)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
#
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

%:
	dh $@

override_dh_auto_build-arch:
	#  No hardening for target code.
	echo 'blhc: ignore-line-regexp: /usr/bin/h8300-.*'
	#  Compile/build the package.
	$(MAKE) prefix=/usr CFLAGS_FOR_HOST="$(CFLAGS) $(CPPFLAGS)" LDFLAGS_FOR_HOST="$(LDFLAGS)"

override_dh_auto_build-indep:
	#  Compile/build the arch indep package.
	$(MAKE) docs-build prefix=/usr

override_dh_auto_clean:
	#  Clean up after the build process.
	rm -f doc/doxygen_sqlite3.db
	[ ! -e Makefile ] || $(MAKE) realclean
	rm -f .configured.flg
	cp debian/Makefile.common .
	dh_auto_clean

override_dh_auto_install-arch:
	$(MAKE) install inst_prefix=/usr prefix=$(CURDIR)/debian/tmp/usr mandir=$(CURDIR)/debian/tmp/usr/share/man
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/brickos/examples/demo/c++/.depend
	rm -f $(CURDIR)/debian/tmp/usr/share/doc/brickos/examples/demo/.depend
	cp -f [NR]* $(CURDIR)/debian/tmp/usr/share/doc/brickos

override_dh_auto_install-indep:
	$(MAKE) docs-install inst_prefix=/usr prefix=$(CURDIR)/debian/tmp/usr

override_dh_installdocs:
	dh_installdocs
	# system jquery
	[ ! -d $(CURDIR)/debian/brickos-doc/usr/share/doc/brickos/html/ ] || \
		for l in c++ c kern ; do \
			$(RM) $(CURDIR)/debian/brickos-doc/usr/share/doc/brickos/html/html-$$l/jquery.js ; \
			ln -s /usr/share/javascript/jquery/jquery.js \
				$(CURDIR)/debian/brickos-doc/usr/share/doc/brickos/html/html-$$l/jquery.js ; \
		done

override_dh_strip:
	# Not ELF files, those are target COFF.
	dh_strip -X.a

=== debian/tests/control ===
Tests: build-examples
Depends: brickos, @recommends@

=== debian/watch ===
version=4

opts="dversionmangle=s/\.dfsg\d*$//, repacksuffix=.dfsg" \
    https://sf.net/brickos/ \
    brickos-@ANY_VERSION@@ARCHIVE_EXT@
